Skip to main content
GET
/
payment
/
intents
/
{paymentIntentId}
/
refunds
List refunds of an intent
curl --request GET \
  --url https://api.orqex.com/v1/payment/intents/{paymentIntentId}/refunds \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "re_abc123",
      "amount": {
        "value": 5000,
        "formatted": "50.00 XOF",
        "short": "50 XOF",
        "currency": "XOF"
      },
      "reason": "<string>",
      "failure_code": "<string>",
      "failure_message": "<string>",
      "metadata": {},
      "completed_at": "<string>",
      "failed_at": "<string>",
      "created_at": "<string>"
    }
  ],
  "pagination": {
    "count": 123,
    "path": "<string>",
    "per_page": 123,
    "next_cursor": "<string>",
    "next_page_url": "<string>",
    "prev_cursor": "<string>",
    "prev_page_url": "<string>",
    "has_more_pages": true,
    "has_pages": true
  }
}

Authorizations

Authorization
string
header
required

Project secret key, e.g. sk_live_..., sent as Authorization: Bearer sk_....

Path Parameters

paymentIntentId
string
required

Public payment intent id, e.g. TRX....

Query Parameters

per_page
integer
default:10

Items per page (max 100).

Required range: x <= 100
cursor
string

Cursor for the next page, from pagination.next_cursor.

Response

OK

data
object[]
pagination
object